App\Library\Amazon\Classes\GiftCard\VariationDataAType:
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
        denomination:
            expose: true
            access_type: public_method
            serialized_name: Denomination
            accessor:
                getter: getDenomination
                setter: setDenomination
            type: App\Library\Amazon\Classes\Denomination
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
